org.apache.ignite.internal.processors.cache.persistence.tree

## Class BPlusTree.Get

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.BPlusTree.Get

Direct Known Subclasses:
  BPlusTree.Invoke, BPlusTree.Put

Enclosing class:
  BPlusTree<L,T extends L>

    public abstract class BPlusTree.Get
    extends Object

Get operation.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canRelease(long pageId, int lvl)`
`L` `row()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### canRelease

    public boolean canRelease(long pageId,
                              int lvl)

Parameters:
  `pageId` - Page.
  `lvl` - Level.
Returns:
  `true` If we can release the given page.

#### row

    public L row()

Returns:
  Operation row.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021